> ## Documentation Index
> Fetch the complete documentation index at: https://developers.e-cross.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# List Inventory

> Retrieve a list of SKUs from the merchant catalog with optional filtering and pagination

<RequestExample>
  ```bash cURL  theme={null}
  curl -X GET 'https://product.api.e-cross.tech/ext/inventories?lastUpdateDateFrom=2025-10-06T00:00:00.000Z&nextPageToken='
  \ -H 'Authorization: Bearer YOUR_TOKEN' 
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "inventories": [
      {
        "id": "ACME-1234567891-1-AVAILABLE",
        "skuId": "1234567891",
        "skuName": "T-Shirt",
        "merchantId": "ACME",
        "quantity": 3,
        "inventoryType": "AVAILABLE",
        "lastUpdateDate": "2026-01-17T19:58:53Z",
        "warehouseId": 1,
        "warehouseName": "Default",
        "warehouseCountry": "ES"
      },
      {
        "id": "ACME-1234567891-1000-AVAILABLE",
        "skuId": "1234567891",
        "skuName": "T-Shirt",
        "merchantId": "ACME",
        "quantity": 1,
        "inventoryType": "AVAILABLE",
        "lastUpdateDate": "2026-01-25T12:15:01Z",
        "warehouseId": 1000,
        "warehouseName": "Returns partner BR",
        "warehouseCountry": "BR",
        "returnedOrders": [
          {
            "orderId": "ACME-ECOM-TEST-003",
            "returnedDate": "2026-01-25T12:15:01Z",
            "quantity": 1
          }
        ]
      }
    ],
    "nextPageToken": "eyJ0eXBlIjoibWFzdGVyIiwibG9jYWxpemF0aW9uU3RhdHVzIjoiUkVBRFlfRk9SX1NBTEVTX0NIQU5ORUwiLCJpZCI6IkFMSEFNQVMtNDQ5NTg4NDI2ODM1NTEiLCJtZXJjaGFudElkIjoiQUxIQU1BUyJ9"
  }

  ```
</ResponseExample>

### Query Parameters

<ParamField query="lastUpdateDateFrom" type="string">
  Return only inventories updated after this date. Must be in ISO 8601 format (e.g. `2025-10-06T00:00:00.000Z`). If not provided, all inventories are returned.
</ParamField>

<ParamField query="nextPageToken" type="string">
  The token to fetch the next page of results. Use the value returned in the `nextPageToken` field of the previous request. If there are no more results, this field won't be returned in the response.
</ParamField>

### Response Fields

<ResponseField name="inventories" type="array">
  Array containing inventories that match the provided filters.

  <Expandable title="inventory details">
    <ResponseField name="id" type="string">
      The unique identifier of this SKU inventory record.
    </ResponseField>

    <ResponseField name="merchantId" type="string">
      The unique identifier of the merchant within the e-CROSS platform.
    </ResponseField>

    <ResponseField name="skuId" type="string">
      The SKU ID in the sales channel.
    </ResponseField>

    <ResponseField name="skuName" type="string">
      The SKU name within e-CROSS. If the SKU isn't registered in the e-CROSS platform, this field won't be returned.
    </ResponseField>

    <ResponseField name="warehouseId" type="integer">
      The ID of the warehouse where the SKU is stocked.
    </ResponseField>

    <ResponseField name="warehouseName" type="string">
      The name of the warehouse where the SKU is stocked.
    </ResponseField>

    <ResponseField name="warehouseCountry" type="string">
      The country of the warehouse where the SKU is stocked.
    </ResponseField>

    <ResponseField name="quantity" type="integer">
      The quantity of SKUs stocked in this warehouse.
    </ResponseField>

    <ResponseField name="inventoryType" type="string">
      The type of this inventory record.
    </ResponseField>

    <ResponseField name="lastUpdateDate" type="string">
      The date and time when the product inventory entry was created or the quantity was changed, in ISO 8601 format.
    </ResponseField>

    <ResponseField name="lastIntegrationDate" type="string">
      The date and time when the sales channel updated the inventory quantity in their system. If no integration has occurred yet, this field won't be returned.
    </ResponseField>

    <ResponseField name="returnedOrders" type="array">
      Array containing the orders that generated the inventory position.

      <Expandable title="returnedOrders details">
        <ResponseField name="orderId" type="string">
          The ID of the order that generated the inventory position.
        </ResponseField>

        <ResponseField name="returnedDate" type="string">
          The date and time when the order was returned, in ISO 8601 format.
        </ResponseField>

        <ResponseField name="quantity" type="integer">
          The quantity of the SKU that was returned.
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="nextPageToken" type="string">
  The token to be used in the query parameter to retrieve the next page of results. If there are no more results, this field won't be returned.
</ResponseField>
